<template>
  <div
      @click="handleClick"
      class="relative transition duration-200 border border-gray-200 cursor-pointer hover:shadow-none p-3 flex justify-center items-center flex-row gap-2 w-full bg-white rounded-md shadow-lg">
    <div class="bg-scheme-primary overflow-hidden p-3 h-12 shrink-0 aspect-square rounded-full overflow-hidden flex items-center justify-center">
      <component :is="icon"></component>
    </div>
    <div class="overflow-hidden w-full flex justify-start items-start text-left flex-col gap-1">
      <h3 class="font-semibold text-md m-0">{{title}}</h3>
      <h3 class="text-gray-600 w-full text-md m-0 whitespace-nowrap text-ellipsis overflow-ellipsis overflow-hidden">
        {{sub_title}}
      </h3>
    </div>
    <div class="relative shrink-0 flex items-center justify-center w-10 h-10 aspect-square p-2">
      <svg class="fill-current text-gray-500s" xmlns="http://www.w3.org/2000/svg" width="48" height="48" viewBox="0 0 48 48"><path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="4" d="m19 12l12 12l-12 12"/></svg>
    </div>
  </div>
</template>

<script setup lang="ts">

import {useGeneralStore} from "../../stores/general";

interface Props{
  title: string
  id: string
  icon: any
  sub_title: string
}

let props = withDefaults(defineProps<Props>(), {
  title: null,
  id: null,
  icon: null,
  sub_title: null
})

const general = useGeneralStore()
const handleClick = () => {
  console.log("HANDLE CLICK")
  general.toggleSideMenuContent({
    heading: props.title,
    isOpen: true,
    content: props.id
  })
}
</script>